
Redmine - Defect #3725

Model Issue is getting spoiled

2009-08-10 17:07 - Dmitri Kouikoff

Status: Closed Start date: 2009-08-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

$ mysql --help

mysql  Ver 14.12 Distrib 5.0.67, for slackware-linux-gnu (i486) using  EditLine wrapper

$ ruby -v

ruby 1.8.7 (2009-06-12 patchlevel 174) [i486-linux]

rails 2.2.2

redmine #2835

When I add the plugin (see the attachment) the model Issue works well only on the first request after the server (webrick) is

restarted.

See, what /xml/work_pieces gives back. Some comments can be found in

vendor/plugins/redmine_client/app/views/xml/work_pieces/index.html.erb.

History

#1 - 2009-08-13 01:12 - Eric Davis

- Status changed from New to Closed

- Assignee deleted (Jean-Philippe Lang)

- Resolution set to Invalid

Please use the Forums to ask for plugin help.  The issue tracker is only for the Redmine core.  You are probably experiencing a similar problem I

wrote about at http://theadmin.org/articles/2009/4/13/how-to-modify-core-redmine-classes-from-a-plugin

#2 - 2009-09-09 16:26 - Dmitri Kouikoff

- Status changed from Closed to Reopened

- Assignee set to Eric Davis

Thank you for the information. Indeed in the production mode everything works OK.

But the receipt given does not help the development mode to work.

1. The effect firstly had place when I had all the changes placed in the core code.

2. I thought it may be connected with that new associations are in the plugin, so I've extracted the extra code into the plugin and use

Dispatcher.to_prepare to include it.

In particular, I've added a new association to the Issue

  base.send :has_many, :work_pieces, :dependent => :destroy

 
WorkPiece model and WorkPiecesController are quite new introduced in the plugin. For the index method in the v

eiw I have

    <td><%= Issue.instance_methods.size %></td>

    <td><%= work_piece.issue.class.instance_methods.size %></td>

 The both numbers are the same only at the first request in the development mode: 432. Starting from the second request the latter number becomes
248.

Can you help to fix the problem?

#3 - 2009-09-10 02:54 - Eric Davis

- Status changed from Reopened to Closed

- Assignee deleted (Eric Davis)

Please use the forums for asking for development help on plugins.

Files

redmine_client.diff.gz 4.93 KB 2009-08-10 Dmitri Kouikoff
